<!--
IGAC proyecto SNC
@franz.gamba
@version 2.0
@cu CU-NP-FA 107

@description  Panelgrid para registrar las actas de induccion al personal
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui" columns="1" cellspacing="3"
             width="100%" id="panelGridRegistrarActasDeInicio">

    <p:spacer height="20" width="0" />
    <p:commandButton id="btnAgregarActaInduccion"
                     widgetVar="agregarActaInduccionWV"
                     update="tablaActasInduccion, :agregarActasForm:panelGridAgregarActasDeInicio, :agregarActasForm:msgsAADI"
                     value="Agregar acta inducción" ajax="true"
                     action="#{currentManagedBeanParam.crearNuevaCapacitacion}"
                     oncomplete="agregarActasWV.show()" process="@this">
    </p:commandButton>

    <p:dataTable var="acta" id="tablaActasInduccion"
                 paginatorPosition="bottom" paginator="true" rows="10"
                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                 rowsPerPageTemplate="5,10,15"
                 value="#{currentManagedBeanParam.capacitaciones}"
                 emptyMessage="No existen actas de inducción">

        <p:column headerText="Acción" style="width:50px">
            <p:commandButton
                action="#{currentManagedBeanParam.eliminarActaSeleccionada}"
                update=":registrarInduccionAlPersonalForm:panelGridRegistrarActasDeInicio"
                icon="ui-icon ui-icon-trash" title="Eliminar" process="@this">
                <f:setPropertyActionListener value="#{acta}"
                                             target="#{currentManagedBeanParam.actaSeleccionada}" />
            </p:commandButton>
            <p:commandButton icon="ui-icon ui-icon-search" title="Ver"
                             process="@this" oncomplete="detalleCapacitacionWV.show()">
                <f:setPropertyActionListener value="#{acta}"
                                             target="#{currentManagedBeanParam.actaSeleccionada}" />
            </p:commandButton>
        </p:column>

        <p:column headerText="Descripción">
            <h:outputText value="#{acta.descripcion}" />
        </p:column>

        <p:column headerText="Fecha">
            <h:outputText value="#{acta.fecha}" />
        </p:column>

        <p:column headerText="Documento">
            <h:outputText value="#{acta.actaDocumento.documento.archivo}" />
        </p:column>

    </p:dataTable>
    <p:spacer height="15" width="0" />
    <h:panelGrid id="btnsActasInduccion" columns="2" cellspacing="0">
        <p:spacer height="0" width="700" />

        <p:commandButton id="btnTerminar" widgetVar="terminarActasWV"
                         action="#{currentManagedBeanParam.asignarCapacitacionesActualizacion}"
                         value="Terminar" ajax="true" oncomplete="registrarActasWV.hide()"
                         process="@this">
        </p:commandButton>
    </h:panelGrid>
</h:panelGrid>
